// Copyright (c) 2015, Microsoft Corporation
//
// Permission to use, copy, modify, and/or distribute this software for any
// purpose with or without fee is hereby granted, provided that the above
// copyright notice and this permission notice appear in all copies.
//
// THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
// WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
// MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
// SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
// WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
// ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR
// IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
//

package com.microsoft.alljoyn.minecraft;

import org.alljoyn.bus.BusException;
import org.alljoyn.bus.annotation.BusInterface;
import org.alljoyn.bus.annotation.BusProperty;


@BusInterface (name = "org.allseen.LSF.LampState")
public interface AllJoynLSFInterface {
	
	@BusProperty (signature="b")
	public boolean getOnOff() throws BusException;
	
	@BusProperty (signature="b")
	public void setOnOff(boolean value) throws BusException;
	
	@BusProperty (signature="u")
	public int getHue() throws BusException;
	
	@BusProperty (signature="u")
	public void setHue(int value) throws BusException;
	
	@BusProperty (signature="u")
	public int getSaturation() throws BusException;
	
	@BusProperty (signature="u")
	public void setSaturation(int value) throws BusException;
	   
	@BusProperty (signature="u")
	public int getBrightness() throws BusException;
	
	@BusProperty (signature="u")
	public void setBrightness(int value) throws BusException;
}
