// Copyright (c) 2015, Microsoft Corporation
//
// Permission to use, copy, modify, and/or distribute this software for any
// purpose with or without fee is hereby granted, provided that the above
// copyright notice and this permission notice appear in all copies.
//
// THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
// WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
// MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
// SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
// WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
// ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR
// IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
//

package com.microsoft.alljoyn.minecraft;

import java.io.FileReader;

import net.minecraft.client.Minecraft;
import net.minecraftforge.client.event.RenderGameOverlayEvent;
import net.minecraftforge.event.world.WorldEvent.Load;
import net.minecraftforge.fml.common.eventhandler.SubscribeEvent;

public class RenderEventHandler
{
    private static String displayText = "";
    private static String displaySuffix = "";
    private static String displayText2 = "";
    private static boolean displayEnabled = true;
    
    //@SubscribeEvent
    public void worldBegin(Load event)
    {
    	displayEnabled = true;
    }
    
    @SubscribeEvent
    public void renderGui(RenderGameOverlayEvent event)
    {
	    if (!Minecraft.isGuiEnabled() || !displayEnabled) {
		    return;
	    }
		
	    if (event.type == RenderGameOverlayEvent.ElementType.TEXT) {
	        if (!displayText.isEmpty()) {
	        	Minecraft.getMinecraft().fontRendererObj.drawString(displayText2 + displayText, 4, 4, -1);
	        }
	    }
    }

	public static void drawText(String text)
	{
	    displayText = text + " " + displaySuffix;
	}
	
	public static void drawDots(short dots)
	{
		displaySuffix = "";
		for (short i=0; i<dots; i++) {
			displaySuffix += ".";
		}
	}
	
	public static void drawText2(String text)
	{
	    displayText2 = text + "  ";
	}
	
	public static void clear() 
	{
    	displayText = "";
    	displaySuffix = "";
    	displayText2 = "";
	}
}